/*
 * Copyright 2014 (c) Anna Schumaker.
 */
#include <core/audio.h>
#include <core/core.h>
#include <core/idle.h>
#include <core/playlist.h>
#include <core/tags/tags.h>
#include <core/tempq.h>


void core_init(int *argc, char ***argv, struct core_init_data *init)
{
#ifdef CONFIG_TESTING
	idle_init_sync();
#else
	idle_init();
#endif /* CONFIG_TESTING */
	tags_init();
	playlist_init(init->playlist_ops);
	tempq_init(init->tempq_ops);
	audio_init(argc, argv, init->audio_ops);
}

void core_deinit()
{
	audio_deinit();
	tempq_deinit();
	playlist_deinit();
	tags_deinit();
	idle_deinit();
}
