/*
 * Copyright 2015 (c) Anna Schumaker.
 */
#ifndef OCARINA_GUI_SIDEBAR_H
#define OCARINA_GUI_SIDEBAR_H

#include <gui/queue.h>
#include <gtk/gtk.h>

enum sidebar_selection_t {
	SB_PLAYLIST,
	SB_SIDEBAR,
};

/* Called to initialize the sidebar. */
void gui_sidebar_init();

/* Called when a row in the sidebar is selected. */
gboolean gui_sidebar_on_select(GtkTreeSelection *, GtkTreeModel *,
				GtkTreePath *path, gboolean, gpointer);

/* Called to tell the sidebar that the selection has changed. */
void gui_sidebar_selected(enum sidebar_selection_t, struct gui_queue *);

/* Called to add a queue to the sidebar. */
void gui_sidebar_add(struct gui_queue *);

/* Called to remove a queue from the sidebar. */
void gui_sidebar_remove(struct gui_queue *);

/* Called to set the size of sidebar entries. */
void gui_sidebar_set_size(struct gui_queue *);

#endif /* OCARINA_GUI_SIDEBAR_H */
